<?php

namespace App\Models;
use App\Traits\AuditLogTrait;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Antibiotic extends BaseModel
{
    public $timestamps = false;
    use HasFactory, AuditLogTrait;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $fillable = ['name_en','weight', 'lab_id'];

    protected $hidden = ['created_at', 'created_by', 'updated_at', 'updated_by', 'record_status_id'];

    public static function boot()
    {
        parent::boot();
    }

    public function lab(){
        return $this->belongsTo('App\Models\Laboratory', 'lab_id','id');
    }

}
